Results 1 to 7 of 7

Thread: Zypper dup killed

  1. #1

    Default Zypper dup killed

    Hi, as per the subject I made a big mistake... I killed the zypper dup command while it was running and (because I am a lucky man) it was at the end of the kernel-default-5.9.10-1.1.x86_64 installation process. I restarded the zypper dup and apparently it restarted from where it has been interrupted (the package just after the kernel one) and it completed his work without errors.
    Now I don't know how to check if the kernel image has been installed correctly or not and, in this case, how reinstall it (before restarting my pc). Even simpler: is there a way to force/redo the last update?
    Can someone give me an hint?
    Thanks in advance

    Marco

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,641

    Default Re: Zypper dup killed

    I assume everything is OK.

    Did you reboot? Then check if the new kernel is running
    Code:
    uname -r
    Henk van Velden

  3. #3

    Default Re: Zypper dup killed

    Quote Originally Posted by hcvv View Post
    I assume everything is OK.

    Did you reboot? Then check if the new kernel is running
    Code:
    uname -r
    No, I didn't. I don't want reboot until I'll be sure that everything is fine ;-)
    In the meanwhile, I collected this information:
    Code:
    zypper se kernel-default-5.9.10-1.1
    
    S  | Nome           | Tipo      | Versione   | Arch.  | Repository
    ---+----------------+-----------+------------+--------+----------------------------
    v  | kernel-default | pacchetto | 5.9.10-1.1 | i586   | Repository principale (OSS)
    i+ | kernel-default | pacchetto | 5.9.10-1.1 | x86_64 | Repository principale (OSS)
    v  | kernel-default | pacchetto | 5.9.10-1.1 | i586   | openSUSE:Factory
    i+ | kernel-default | pacchetto | 5.9.10-1.1 | x86_64 | openSUSE:Factory
    v  | kernel-default | pacchetto | 5.9.10-1.1 | i586   | openSUSE:Tumbleweed
    i+ | kernel-default | pacchetto | 5.9.10-1.1 | x86_64 | openSUSE:Tumbleweed
    
    uname -a
    Linux lnx-marco 5.9.8-2-default #1 SMP Thu Nov 12 07:43:32 UTC 2020 (ea93937) x86_64 x86_64 x86_64 GNU/Linux
    so probably I can simply upgrade to kernel-default-5.9.10-1.1... do you agree? Is there any better strategy?
    More in general, is there a tool to check/switch between TW snapshot? Somewehere I saw something about tumbleweed-cli or similar...

    thanks,
    Marco


  4. #4
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,641

    Default Re: Zypper dup killed

    It is a bit strange that you have three (3!) repositories that all offer you the kernel. The question is then why those two repos besides the OSS repo? To see what all these repo are, better show
    Code:
    zypper lr -d
    And your list shows that 5.9.10-1.1 is installed.
    You could try to boot and see if then this one will be used. When that fails, you can always fall back to 5.9.8-2 in the Grub menu.

    You could of course also force install 5.9.10-1.1.
    Code:
    zypper install -f .......
    Henk van Velden

  5. #5

    Default Re: Zypper dup killed

    Quote Originally Posted by hcvv View Post
    It is a bit strange that you have three (3!) repositories that all offer you the kernel. The question is then why those two repos besides the OSS repo? To see what all these repo are, better show
    Code:
    zypper lr -d
    And your list shows that 5.9.10-1.1 is installed.
    You could try to boot and see if then this one will be used. When that fails, you can always fall back to 5.9.8-2 in the Grub menu.

    You could of course also force install 5.9.10-1.1.
    Code:
    zypper install -f .......
    Hi, thanks for your help. I forced a kernel reinstallation and I saw all the dracut's console output that yesterday I didn't see so probably something was really missing, anyway everything went well and now the system is up and running after a reboot. I also clean up my repos as you suggested.
    I still have the curiosity about tools to manage TW snapshots... are similar tools available?

    bye,
    Marco

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    27,641

    Default Re: Zypper dup killed

    I do not run Tumbleweed, The above advice should be valid on Tumbleweed as well as Leap.

    So please either wait for someone else to answer, or start a new thread with a title that covers your new question.
    Henk van Velden

  7. #7
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,701
    Blog Entries
    3

    Default Re: Zypper dup killed

    In my experience, killing "zypper" doesn't cause major problems. It seems to work so that a new package is either installed, or not. It isn't halfway installed.

    However, for some packages, there is a script that is run after the install. Sometimes the script is run at the end of the entire update. So killing "zypper" might mean that some scripts are not run. For a kernel install, the script generates the "initrd" amongst other things. If you know what package install was interrupted, then a forced reinstall of that package is probably the best solution.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •